Bug 969635 - [abrt] wesnoth-1.10.5-3.fc18: pa_mainloop_prepare: Process /usr/bin/wesnoth was killed by signal 6 (SIGABRT)
[abrt] wesnoth-1.10.5-3.fc18: pa_mainloop_prepare: Process /usr/bin/wesnoth w...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: wesnoth (Show other bugs)
18
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Gwyn Ciesla
Fedora Extras Quality Assurance
abrt_hash:06f825bbad6dba1f6e46f7dd050...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-01 03:34 EDT by diakula
Modified: 2014-02-05 16:37 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-05 16:37:02 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (39.81 KB, text/plain)
2013-06-01 03:34 EDT, diakula
no flags Details
File: cgroup (130 bytes, text/plain)
2013-06-01 03:34 EDT, diakula
no flags Details
File: core_backtrace (1.20 KB, text/plain)
2013-06-01 03:34 EDT, diakula
no flags Details
File: dso_list (8.42 KB, text/plain)
2013-06-01 03:34 EDT, diakula
no flags Details
File: environ (1.65 KB, text/plain)
2013-06-01 03:34 EDT, diakula
no flags Details
File: limits (1.29 KB, text/plain)
2013-06-01 03:34 EDT, diakula
no flags Details
File: maps (46.30 KB, text/plain)
2013-06-01 03:34 EDT, diakula
no flags Details
File: open_fds (365 bytes, text/plain)
2013-06-01 03:34 EDT, diakula
no flags Details
File: proc_pid_status (928 bytes, text/plain)
2013-06-01 03:34 EDT, diakula
no flags Details

  None (edit)
Description diakula 2013-06-01 03:34:07 EDT
Version-Release number of selected component:
wesnoth-1.10.5-3.fc18

Additional info:
reporter:       libreport-2.1.4
backtrace_rating: 4
cmdline:        wesnoth
crash_function: pa_mainloop_prepare
executable:     /usr/bin/wesnoth
kernel:         3.8.1-201.fc18.x86_64
uid:            1000
var_log_messages: Mar  8 22:06:07 htpc abrt[6477]: Saved core dump of pid 6471 (/usr/bin/wesnoth) to /var/spool/abrt/ccpp-2013-03-08-22:06:07-6471 (23166976 bytes)
xsession_errors: 

Truncated backtrace:
Thread no. 1 (6 frames)
 #2 pa_mainloop_prepare at pulse/mainloop.c:816
 #3 pa_mainloop_iterate at pulse/mainloop.c:952
 #4 PULSE_WaitAudio at src/audio/pulse/SDL_pulseaudio.c:310
 #5 SDL_RunAudio at src/audio/SDL_audio.c:222
 #6 SDL_RunThread at src/thread/SDL_thread.c:204
 #7 RunThread at src/thread/pthread/SDL_systhread.c:47
Comment 1 diakula 2013-06-01 03:34:11 EDT
Created attachment 755484 [details]
File: backtrace
Comment 2 diakula 2013-06-01 03:34:14 EDT
Created attachment 755485 [details]
File: cgroup
Comment 3 diakula 2013-06-01 03:34:17 EDT
Created attachment 755486 [details]
File: core_backtrace
Comment 4 diakula 2013-06-01 03:34:20 EDT
Created attachment 755487 [details]
File: dso_list
Comment 5 diakula 2013-06-01 03:34:26 EDT
Created attachment 755488 [details]
File: environ
Comment 6 diakula 2013-06-01 03:34:29 EDT
Created attachment 755489 [details]
File: limits
Comment 7 diakula 2013-06-01 03:34:32 EDT
Created attachment 755490 [details]
File: maps
Comment 8 diakula 2013-06-01 03:34:35 EDT
Created attachment 755491 [details]
File: open_fds
Comment 9 diakula 2013-06-01 03:34:37 EDT
Created attachment 755492 [details]
File: proc_pid_status
Comment 10 Steve Tyler 2013-08-03 14:42:33 EDT
This appears to be in libpulse:

backtrace:
...
Thread 1 (Thread 0x7fc983636700 (LWP 6476)):
...
#2  0x0000003067823190 in pa_mainloop_prepare (m=m@entry=0x2fe7590, timeout=<optimized out>) at pulse/mainloop.c:816
...
0x000000306780c380  0x0000003067837b18  Yes         /lib64/libpulse.so.0
...

maps:
...
3067800000-3067848000 r-xp 00000000 fd:01 531700                         /usr/lib64/libpulse.so.0.14.3
...
Comment 11 Steve Tyler 2013-08-03 14:54:55 EDT
(In reply to Steve Tyler from comment #10)
...
> 3067800000-3067848000 r-xp 00000000 fd:01 531700                        
> /usr/lib64/libpulse.so.0.14.3
...

That appears to be the latest released version for F18:

$ sudo repoquery pulseaudio-libs --arch=x86_64 --releasever=18
pulseaudio-libs-0:2.1-6.fc18.x86_64

$ sudo repoquery pulseaudio-libs --arch=x86_64 --releasever=18 --list | grep libpulse.so
/usr/lib64/libpulse.so.0
/usr/lib64/libpulse.so.0.14.3
Comment 12 Steve Tyler 2013-08-03 15:56:07 EDT
(In reply to Steve Tyler from comment #10)
...
> #2  0x0000003067823190 in pa_mainloop_prepare (m=m@entry=0x2fe7590,
> timeout=<optimized out>) at pulse/mainloop.c:816
...

Not sure why the backtrace did not contain this, but here is where the assertion failure occurred:

$ less -N usr/src/debug/pulseaudio-2.1/src/pulse/mainloop.c
...
    814 int pa_mainloop_prepare(pa_mainloop *m, int timeout) {
    815     pa_assert(m);
    816     pa_assert(m->state == STATE_PASSIVE);
...

Source is from:
$ sudo repoquery pulseaudio-debuginfo --arch=x86_64 --releasever=18 --repoid=fedora-debuginfo --repoid=updates-debuginfo
pulseaudio-debuginfo-0:2.1-6.fc18.x86_64

Append "--location" to get a URL.
Comment 13 Fedora End Of Life 2013-12-21 08:48:33 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 14 Fedora End Of Life 2014-02-05 16:37:02 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.